--- gpc.c	Mon Nov  5 20:24:43 2001
+++ gpc.c	Fri Nov  9 04:35:40 2001
@@ -1833,7 +1833,7 @@
   int readlen;
   struct stat statbuf;
   char *buffer;
-  register char *p;
+  register char *p, *q;
 
   if (verbose_flag)
     fprintf (stderr, "Reading specs from %s\n", filename);
@@ -1852,6 +1852,12 @@
     pfatal_with_name (filename);
   buffer[readlen] = 0;
   close (desc);
+
+  /* Remove CR characters */
+  for (p = q = buffer; *p; p++)
+    if (*p != '\r')
+      *(q++) = *p;
+  *q = 0;
 
   /* Scan BUFFER for specs, putting them in the vector.  */
   p = buffer;
